org.apache.lucene.analysis

## Class LengthFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.LengthFilter

-     public final class LengthFilter
      extends TokenFilter

  Removes words that are too long or too short from the stream.
  Version:
    $Id: LengthFilter.java 1039905 2010-11-28 16:58:14Z uschindler $

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.AttributeFactory, AttributeSource.State`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

      `input`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LengthFilter(TokenStream in, int min, int max)` Build a filter that removes words that are too long or too short from the text.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `incrementToken()` Returns the next input Token whose term() is the right len

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

      `close, end, reset`

    - ### Methods inherited from class org.apache.lucene.analysis.TokenStream

      `getOnlyUseNewAPI, next, next, setOnlyUseNewAPI`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LengthFilter

          public LengthFilter(TokenStream in,
                              int min,
                              int max)

      Build a filter that removes words that are too long or too short from the text.

  - ### Method Detail

    - #### incrementToken

          public final boolean incrementToken()
                                       throws java.io.IOException

      Returns the next input Token whose term() is the right len
      Overrides:
        `incrementToken` in class `TokenStream`
      Returns:
        false for end of stream; true otherwise

        Note that this method will be defined abstract in Lucene 3.0.

      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.